package helper

import (
	"fmt"

	"github.com/alecthomas/colour"

	GoTomato "git.smsvc.net/pomodoro/GoTomato/pkg/models"
)

// Return terminal output based on the passed ServerMessage
func TerminalOutput(pomodoro GoTomato.ServerMessage) string {
	var (
		output string

		modePrefix  string
		timerOutput string
	)

	// header
	output += colour.Sprintf("^D^4Work: %d ◊ Break: %d ◊ Longbreak: %d^R\n\n",
		pomodoro.Settings.Work/60,
		pomodoro.Settings.ShortBreak/60,
		pomodoro.Settings.LongBreak/60,
	)

	//body
	switch pomodoro.Mode {
	case "Idle":
		modePrefix = " "
		timerOutput = ""
	default:
		modePrefix = " "
		if pomodoro.Paused {
			modePrefix = " "
		}
		minutes := pomodoro.TimeLeft / 60
		seconds := pomodoro.TimeLeft % 60

		timerOutput = fmt.Sprintf("⏳ %02d:%02d", minutes, seconds)
	}

	output += fmt.Sprintf("Session: %d/%d\n",
		pomodoro.Session,
		pomodoro.Settings.Sessions,
	)
	output += fmt.Sprintf("%s %s\n", modePrefix, pomodoro.Mode)
	output += fmt.Sprintf(timerOutput)

	return output
}
